/oihub/claim/inquiry/v1

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request body supports five different claim inquiry operations. Choose based on your operation type.

Search for claims by various criteria including claim number, member info, or patient account number

string
Defaults to SearchClaim

GraphQL operation name

string
required
Defaults to query SearchClaim($searchClaimInput: SearchClaimInput!) { searchClaim(searchClaimInput: $searchClaimInput) { claims { claimNumber claimReceiptLocatorNumber claimInventoryControlNumber claimStatus isMedicarePendProcess hasClaimDetails member { subscriberId policyNumber firstName lastName middleInitial dateOfBirth relationshipCode dependentSequenceNumber memberId } provider { submitted { billingTin billingProviderName billingNpi renderingProviderName } adjudicated { billingTinPrefix billingTin billingTinSuffix billingProviderName billingNpi billingProviderMpin renderingProviderName renderingProviderMpin } } claimEvents { receivedDate processedDate processedTime serviceStartDate serviceEndDate statusEffectiveDate } claimLevelInfo { patientAccountNumber claimType providerNetworkStatus claimFlagTag surpriseMedicalBillingIndicator surpriseMedicalBillingState } claimLevelTotalAmount { totalBilledChargeAmount totalProviderWriteOffAmount totalPatientNotCoveredAmount totalProviderNotCoveredAmount totalAllowedAmount totaldeductibleAmount totalCopayAmount totalCoinsAmount totalPaidAmount totalPatientResponsibilityAmount } payments { paymentNumber checkStatus adjudicatedClaimPaymentNumber cashedDate adjudicatedClaimPaymentAmount checkSeriesDesignator paymentModeCode paymentAmount paymentIssueDate paymentType claimPayeeAssignmentCode claimPayeeAssignmentDescription payeeName payeeAddress { addressLine addressLine2 cityName state zip } } claimStatusCrosswalkData { claim507Code claim507CodeDesc claim508Code claim508CodeDesc adjudicatedClaimSuffixCode adjudicatedClaimPaymentNumber } claimAdjudicationCodes { claimCodeType code description } documents { documentType documentCreatedDate documentReceivedDate documentName documentId } claimDetailedInformation { claimNumber adjudicatedClaimSummaryStatus claimActionIdentifier allowedActions payerId coordinationOfBenefits { cobPayerId claimOIPaidAmount otherInsuredName submittedCobIndicator cobPayerType cobDesc cobPolicyDesc cobPaymentType adjudicatedCobIndicator cobMedicalCalcType cobCommercialCalcType } diagnosisCodes { diagnosisSequenceNumber diagnosisCode diagnosisCodeType } claimDetailEvents { receivedDate initialDecisionDate lastDenialDate } claimLevelIndicators { claimReprocessedIndicator paymentToEnrolleeCode isCapitationIndicator electronicPayerID placeOfService payerType } patientInfo { patientName patientGroupNumber patientSubscriberNumber patientRelationship } claimLineActions { ticketType allowedAction actionMessage allowedReconReasons allowedReconsiderationReasons { isAttachmentRequired requestReason requestReasonDesc requestReasonMsg } requiredConsentForm note documentLink ticketDetails { ticketNumber ticketSubmitDate ticketStatus ticketOutcome ticketReason isClosed lastUpdatedDate lastComment ticketType } } lines { lineKey lineNumber unitCount serviceCode revenueCode linePaymentServiceCode procedureCode procedureTypeCode modifiers diagnosisPointers lineEvents { processedDate processedTime serviceStartDate serviceEndDate } lineLevelTotalAmounts { billedChargeAmount notCoveredAmount providerNotCoveredAmount patientNotCoveredAmount providerWriteOffAmount allowedAmount deductibleAmount copayAmount coinsuranceAmount paidAmount memberResponsiblityAmount medicarePaidAmount reserveAmount qualifiedPaymentAmount } lineIndicators { inventoryControlNumberSuffix inventoryControlNumberSuffixVersion providerNetworkStatus transactionCode causeCode overrideCode planCoveragePercent capitationIndicator capFundType lineLevelPlaceOfService surpriseMedicalBillingIndicator surpriseMedicalBillingState providerGroupOfferPercentage } lineAdjudicationCodes { type code description } } } } pagination { hasMoreRecords nextPageToken } } }

GraphQL query for searching claims

variables
object
required
Headers
string
required

Provider Tax ID

string

Unique UUID to track the transaction

string

Environment

string

Paging Identifier to access the next set of records

Responses

400

Bad Request - Invalid parameters or missing required fields

401

Unauthorized - Invalid or missing authentication credentials

404

Not Found - No claims found matching the search criteria

500

Internal Server Error

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json